from pylot.tomography.fmtomo_utils import Tomo3d
import os

citer = 0
niter = 12
n_proc = 4 # only four processes for minimal example with four sources

# for some reason this did not work as expected and was commented out
#if os.path.isfile('inviter.in'):
#    with open('inviter.in', 'r') as infile:
#        citer = int(infile.read())
#    print ('Continue on iteration step ', citer)

tomo = Tomo3d(os.getcwd(), os.getcwd(), overwrite=True, buildObs=False, saveRays=[6, 12], citer=citer)

try:
        tomo.runTOMO3D(n_proc, niter)
except KeyboardInterrupt:
        print('runTTOMO3D interrupted by user or machine. Cleaning up.')
except Exception as e:
        print(f'Catching unknown Exception in runTOMO3D: {e}. Trying to clean up...')
finally:
        tomo.removeDirectories()
